---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">tgui Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Namespace that contains all TGUI functions and classes.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for the <a class="el" href="classtgui_1_1Theme.html" title="Default Theme class. ">Theme</a> classes.  <a href="classtgui_1_1BaseTheme.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1BaseThemeLoader.html">BaseThemeLoader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for theme loader implementations.  <a href="classtgui_1_1BaseThemeLoader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html">Borders</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1BoxLayout.html">BoxLayout</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for box layout containers.  <a href="classtgui_1_1BoxLayout.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Button.html">Button</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Button.html" title="Button widget. ">Button</a> widget.  <a href="classtgui_1_1Button.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtgui_1_1Callback.html">Callback</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Canvas.html">Canvas</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChatBox.html">ChatBox</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">ChatBoxRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1CheckBox.html">CheckBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1CheckBox.html" title="CheckBox widget. ">CheckBox</a> widget.  <a href="classtgui_1_1CheckBox.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1CheckBoxRenderer.html">CheckBoxRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindow.html">ChildWindow</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Child window widget.  <a href="classtgui_1_1ChildWindow.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html">ChildWindowRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ClickableWidget.html">ClickableWidget</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clickable widget.  <a href="classtgui_1_1ClickableWidget.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Clipboard.html">Clipboard</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Clipping.html">Clipping</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Color.html">Color</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implicit converter for colors.  <a href="classtgui_1_1Color.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBox.html">ComboBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Combo box widget.  <a href="classtgui_1_1ComboBox.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">ComboBoxRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html">Container</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> widget.  <a href="classtgui_1_1Container.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><b>DataIO</b></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parser and emitter for widget files. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1DefaultThemeLoader.html">DefaultThemeLoader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default implementation for theme loading.  <a href="classtgui_1_1DefaultThemeLoader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Deserializer.html">Deserializer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deserialize an settable property.  <a href="classtgui_1_1Deserializer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBox.html">EditBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Edit box widget.  <a href="classtgui_1_1EditBox.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html">EditBoxRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html">Font</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Grid.html">Grid</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html">Gui</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a> class.  <a href="classtgui_1_1Gui.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><b>GuiContainer</b></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1HorizontalLayout.html">HorizontalLayout</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> that automatically resizes children to fit the entire available space between children.  <a href="classtgui_1_1HorizontalLayout.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Knob.html">Knob</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Knob.html" title="Knob widget. ">Knob</a> widget.  <a href="classtgui_1_1Knob.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1KnobRenderer.html">KnobRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Label.html">Label</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Label.html" title="Label widget. ">Label</a> widget.  <a href="classtgui_1_1Label.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1LabelRenderer.html">LabelRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html">Layout</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to store the left, top, width or height of a widget.  <a href="classtgui_1_1Layout.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to store the position or size of a widget.  <a href="classtgui_1_1Layout2d.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><b>LayoutImpl</b></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared information between layouts. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBox.html">ListBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">List box widget.  <a href="classtgui_1_1ListBox.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html">ListBoxRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBar.html">MenuBar</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="structtgui_1_1MenuBar_1_1Menu.html">Menu</a> bar widget.  <a href="classtgui_1_1MenuBar.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html">MenuBarRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MessageBox.html">MessageBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message box widget.  <a href="classtgui_1_1MessageBox.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MessageBoxRenderer.html">MessageBoxRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implicit converter for settable properties.  <a href="classtgui_1_1ObjectConverter.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html">Panel</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Panel.html" title="Panel widget. ">Panel</a> widget.  <a href="classtgui_1_1Panel.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1PanelRenderer.html">PanelRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Picture.html">Picture</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Picture.html" title="Picture widget. ">Picture</a> widget.  <a href="classtgui_1_1Picture.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBar.html">ProgressBar</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Progress bar widget.  <a href="classtgui_1_1ProgressBar.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html">ProgressBarRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButton.html">RadioButton</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Radio button widget.  <a href="classtgui_1_1RadioButton.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html">RadioButtonRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Scrollbar.html">Scrollbar</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Scrollbar.html" title="Scrollbar widget. ">Scrollbar</a> widget.  <a href="classtgui_1_1Scrollbar.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ScrollbarRenderer.html">ScrollbarRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Serializer.html">Serializer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serialize an settable property.  <a href="classtgui_1_1Serializer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Signal.html">Signal</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for widgets to enable signal handling.  <a href="classtgui_1_1SignalWidgetBase.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Slider.html">Slider</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Slider.html" title="Slider widget. ">Slider</a> widget.  <a href="classtgui_1_1Slider.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html">SliderRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButton.html">SpinButton</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Spin button widget.  <a href="classtgui_1_1SpinButton.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html">SpinButtonRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html">Tab</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Tab.html" title="Tab widget. ">Tab</a> widget.  <a href="classtgui_1_1Tab.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html">TabRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TextBox.html">TextBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Text box widget.  <a href="classtgui_1_1TextBox.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TextBoxRenderer.html">TextBoxRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Texture.html">Texture</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><b>TextureData</b></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><b>TextureDataHolder</b></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TextureManager.html">TextureManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Theme.html">Theme</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default <a class="el" href="classtgui_1_1Theme.html" title="Default Theme class. ">Theme</a> class.  <a href="classtgui_1_1Theme.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ToolTip.html">ToolTip</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface to set the settings for the tool tips.  <a href="classtgui_1_1ToolTip.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html">Transformable</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><b>TypeSet</b></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1VerticalLayout.html">VerticalLayout</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> that automatically resizes children to fit the entire available space between children.  <a href="classtgui_1_1VerticalLayout.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html">Widget</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">The parent class for every widget.  <a href="classtgui_1_1Widget.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent class for every widget that has borders.  <a href="classtgui_1_1WidgetBorders.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetConverter.html">WidgetConverter</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implicit converter for widgets returned by the load function of the theme.  <a href="classtgui_1_1WidgetConverter.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetLoader.html">WidgetLoader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to load widgets from a text file.  <a href="classtgui_1_1WidgetLoader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html">WidgetPadding</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent class for every widget that has padding.  <a href="classtgui_1_1WidgetPadding.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for all renderer classes.  <a href="classtgui_1_1WidgetRenderer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetSaver.html">WidgetSaver</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to save widgets to a text file.  <a href="classtgui_1_1WidgetSaver.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9f51281faa5f0543418b35e4e5c849f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f51281faa5f0543418b35e4e5c849f4"></a>
TGUI_API void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a9f51281faa5f0543418b35e4e5c849f4">enableTabKeyUsage</a> ()</td></tr>
<tr class="memdesc:a9f51281faa5f0543418b35e4e5c849f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">While tab key usage is enabled (default), pressing tab will focus another widget. <br /></td></tr>
<tr class="separator:a9f51281faa5f0543418b35e4e5c849f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961d5f6c9743d5c20cfc7872bd2504d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a961d5f6c9743d5c20cfc7872bd2504d2"></a>
TGUI_API void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a961d5f6c9743d5c20cfc7872bd2504d2">disableTabKeyUsage</a> ()</td></tr>
<tr class="memdesc:a961d5f6c9743d5c20cfc7872bd2504d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">When disabling the tab key usage, pressing tab will no longer focus another widget. <br /></td></tr>
<tr class="separator:a961d5f6c9743d5c20cfc7872bd2504d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ff0bfc29ca323f7de787b4acce869b6"><td class="memItemLeft" align="right" valign="top">TGUI_API void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a2ff0bfc29ca323f7de787b4acce869b6">setResourcePath</a> (const std::string &amp;path)</td></tr>
<tr class="memdesc:a2ff0bfc29ca323f7de787b4acce869b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a new resource path.  <a href="#a2ff0bfc29ca323f7de787b4acce869b6">More...</a><br /></td></tr>
<tr class="separator:a2ff0bfc29ca323f7de787b4acce869b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2efca1c075fdbd9f7fb9270a798ae664"><td class="memItemLeft" align="right" valign="top">TGUI_API const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a2efca1c075fdbd9f7fb9270a798ae664">getResourcePath</a> ()</td></tr>
<tr class="memdesc:a2efca1c075fdbd9f7fb9270a798ae664"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the resource path.  <a href="#a2efca1c075fdbd9f7fb9270a798ae664">More...</a><br /></td></tr>
<tr class="separator:a2efca1c075fdbd9f7fb9270a798ae664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8609d6744530000f82d553e84bbcf262"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8609d6744530000f82d553e84bbcf262"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a8609d6744530000f82d553e84bbcf262">operator&lt;</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a8609d6744530000f82d553e84bbcf262"><td class="mdescLeft">&#160;</td><td class="mdescRight">&lt; operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a8609d6744530000f82d553e84bbcf262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e9c29186dd9c58ed6f59524dc0d61e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e9c29186dd9c58ed6f59524dc0d61e1"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a7e9c29186dd9c58ed6f59524dc0d61e1">operator&lt;=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a7e9c29186dd9c58ed6f59524dc0d61e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">&lt;= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a7e9c29186dd9c58ed6f59524dc0d61e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a600fd3916fa36f08a00db77d965e468e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a600fd3916fa36f08a00db77d965e468e"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a600fd3916fa36f08a00db77d965e468e">operator&gt;</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a600fd3916fa36f08a00db77d965e468e"><td class="mdescLeft">&#160;</td><td class="mdescRight">&gt; operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a600fd3916fa36f08a00db77d965e468e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1763c5a13343f86090090e504e35fa8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1763c5a13343f86090090e504e35fa8a"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a1763c5a13343f86090090e504e35fa8a">operator&gt;=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a1763c5a13343f86090090e504e35fa8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">&gt;= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a1763c5a13343f86090090e504e35fa8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec58c48b53c8981c66d9d39a640709ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec58c48b53c8981c66d9d39a640709ae"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#aec58c48b53c8981c66d9d39a640709ae">operator==</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:aec58c48b53c8981c66d9d39a640709ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">== operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:aec58c48b53c8981c66d9d39a640709ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac195454be91b526be88c6deedb0d6722"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac195454be91b526be88c6deedb0d6722"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#ac195454be91b526be88c6deedb0d6722">operator!=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:ac195454be91b526be88c6deedb0d6722"><td class="mdescLeft">&#160;</td><td class="mdescRight">!= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:ac195454be91b526be88c6deedb0d6722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32b501da6b5ac8ada43fa4c11fe7941e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32b501da6b5ac8ada43fa4c11fe7941e"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a32b501da6b5ac8ada43fa4c11fe7941e">operator+</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a32b501da6b5ac8ada43fa4c11fe7941e"><td class="mdescLeft">&#160;</td><td class="mdescRight"><ul>
<li>operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class </li>
</ul>
<br /></td></tr>
<tr class="separator:a32b501da6b5ac8ada43fa4c11fe7941e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4a39594b2a391929c14af31decae3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae4a39594b2a391929c14af31decae3e"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#aae4a39594b2a391929c14af31decae3e">operator-</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:aae4a39594b2a391929c14af31decae3e"><td class="mdescLeft">&#160;</td><td class="mdescRight"><ul>
<li>operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class </li>
</ul>
<br /></td></tr>
<tr class="separator:aae4a39594b2a391929c14af31decae3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6af48451cf04f38eeaa6d7bc83192c69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6af48451cf04f38eeaa6d7bc83192c69"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a6af48451cf04f38eeaa6d7bc83192c69">operator*</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a6af48451cf04f38eeaa6d7bc83192c69"><td class="mdescLeft">&#160;</td><td class="mdescRight"><ul>
<li>operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class </li>
</ul>
<br /></td></tr>
<tr class="separator:a6af48451cf04f38eeaa6d7bc83192c69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f9f5f93ef5d1889a74a5cd164433ba8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f9f5f93ef5d1889a74a5cd164433ba8"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a5f9f5f93ef5d1889a74a5cd164433ba8">operator/</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a5f9f5f93ef5d1889a74a5cd164433ba8"><td class="mdescLeft">&#160;</td><td class="mdescRight">/ operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a5f9f5f93ef5d1889a74a5cd164433ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6178d8b7caa315efd8c4b722188d98c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6178d8b7caa315efd8c4b722188d98c"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#ad6178d8b7caa315efd8c4b722188d98c">operator%</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:ad6178d8b7caa315efd8c4b722188d98c"><td class="mdescLeft">&#160;</td><td class="mdescRight">% operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:ad6178d8b7caa315efd8c4b722188d98c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a432e7a92fc9c6a41ca0453143fe0d85b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a432e7a92fc9c6a41ca0453143fe0d85b"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a432e7a92fc9c6a41ca0453143fe0d85b">operator&amp;&amp;</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a432e7a92fc9c6a41ca0453143fe0d85b"><td class="mdescLeft">&#160;</td><td class="mdescRight">&amp;&amp; operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a432e7a92fc9c6a41ca0453143fe0d85b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab33d85cc29c3c8d4cb9302e163ab75ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab33d85cc29c3c8d4cb9302e163ab75ec"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#ab33d85cc29c3c8d4cb9302e163ab75ec">operator||</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:ab33d85cc29c3c8d4cb9302e163ab75ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">|| operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:ab33d85cc29c3c8d4cb9302e163ab75ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae225466bfec79c477bb627b9bdf6c44a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae225466bfec79c477bb627b9bdf6c44a"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#ae225466bfec79c477bb627b9bdf6c44a">operator==</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> left, <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> right)</td></tr>
<tr class="memdesc:ae225466bfec79c477bb627b9bdf6c44a"><td class="mdescLeft">&#160;</td><td class="mdescRight">== operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:ae225466bfec79c477bb627b9bdf6c44a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b28622b5c2ac42052ea517b80dc3fca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b28622b5c2ac42052ea517b80dc3fca"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a2b28622b5c2ac42052ea517b80dc3fca">operator!=</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> left, <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> right)</td></tr>
<tr class="memdesc:a2b28622b5c2ac42052ea517b80dc3fca"><td class="mdescLeft">&#160;</td><td class="mdescRight">!= operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:a2b28622b5c2ac42052ea517b80dc3fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af91c1b17b6812f9c061f1900149c782a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af91c1b17b6812f9c061f1900149c782a"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#af91c1b17b6812f9c061f1900149c782a">operator+</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> left, <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> right)</td></tr>
<tr class="memdesc:af91c1b17b6812f9c061f1900149c782a"><td class="mdescLeft">&#160;</td><td class="mdescRight"><ul>
<li>operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class </li>
</ul>
<br /></td></tr>
<tr class="separator:af91c1b17b6812f9c061f1900149c782a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e4142ce50b95ed4b524a718240d334c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e4142ce50b95ed4b524a718240d334c"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a8e4142ce50b95ed4b524a718240d334c">operator-</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> left, <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> right)</td></tr>
<tr class="memdesc:a8e4142ce50b95ed4b524a718240d334c"><td class="mdescLeft">&#160;</td><td class="mdescRight"><ul>
<li>operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class </li>
</ul>
<br /></td></tr>
<tr class="separator:a8e4142ce50b95ed4b524a718240d334c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1409b8462a84216fd3dd7683115536d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1409b8462a84216fd3dd7683115536d3"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a1409b8462a84216fd3dd7683115536d3">operator*</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a1409b8462a84216fd3dd7683115536d3"><td class="mdescLeft">&#160;</td><td class="mdescRight"><ul>
<li>operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class </li>
</ul>
<br /></td></tr>
<tr class="separator:a1409b8462a84216fd3dd7683115536d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac00bbe449208014a1fea09498d5c04ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac00bbe449208014a1fea09498d5c04ea"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#ac00bbe449208014a1fea09498d5c04ea">operator/</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:ac00bbe449208014a1fea09498d5c04ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">/ operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:ac00bbe449208014a1fea09498d5c04ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af13e10d749d7369f2196d048c3ddaf11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af13e10d749d7369f2196d048c3ddaf11"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#af13e10d749d7369f2196d048c3ddaf11">operator%</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> left, <a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:af13e10d749d7369f2196d048c3ddaf11"><td class="mdescLeft">&#160;</td><td class="mdescRight">% operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class <br /></td></tr>
<tr class="separator:af13e10d749d7369f2196d048c3ddaf11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a31c4e5675bb2f14673b3395c590125"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a31c4e5675bb2f14673b3395c590125"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a0a31c4e5675bb2f14673b3395c590125">operator*</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> left, <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> right)</td></tr>
<tr class="memdesc:a0a31c4e5675bb2f14673b3395c590125"><td class="mdescLeft">&#160;</td><td class="mdescRight"><ul>
<li>operator for the <a class="el" href="classtgui_1_1Layout2d.html" title="Class to store the position or size of a widget. ">Layout2d</a> class </li>
</ul>
<br /></td></tr>
<tr class="separator:a0a31c4e5675bb2f14673b3395c590125"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea0ae0fd5751d1245c5a050d12932778"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea0ae0fd5751d1245c5a050d12932778"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#aea0ae0fd5751d1245c5a050d12932778">bindLeft</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:aea0ae0fd5751d1245c5a050d12932778"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the x position of the widget. <br /></td></tr>
<tr class="separator:aea0ae0fd5751d1245c5a050d12932778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87c61eb0319debb4329c140542c06446"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87c61eb0319debb4329c140542c06446"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a87c61eb0319debb4329c140542c06446">bindTop</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:a87c61eb0319debb4329c140542c06446"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the y position of the widget. <br /></td></tr>
<tr class="separator:a87c61eb0319debb4329c140542c06446"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fb205ef056bb9d28c370a68434fcc50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8fb205ef056bb9d28c370a68434fcc50"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a8fb205ef056bb9d28c370a68434fcc50">bindWidth</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:a8fb205ef056bb9d28c370a68434fcc50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the width of the widget. <br /></td></tr>
<tr class="separator:a8fb205ef056bb9d28c370a68434fcc50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac02e45df685e26d1f1c58b6d1ef3b73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac02e45df685e26d1f1c58b6d1ef3b73"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#aac02e45df685e26d1f1c58b6d1ef3b73">bindHeight</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:aac02e45df685e26d1f1c58b6d1ef3b73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the height of the widget. <br /></td></tr>
<tr class="separator:aac02e45df685e26d1f1c58b6d1ef3b73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a122fa36bf819b52c7f8a250b60fcf9cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a122fa36bf819b52c7f8a250b60fcf9cf"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a122fa36bf819b52c7f8a250b60fcf9cf">bindRight</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:a122fa36bf819b52c7f8a250b60fcf9cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the right position of the widget. <br /></td></tr>
<tr class="separator:a122fa36bf819b52c7f8a250b60fcf9cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbaac1043a07a0095c3ee90d6070b70b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbaac1043a07a0095c3ee90d6070b70b"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#adbaac1043a07a0095c3ee90d6070b70b">bindBottom</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:adbaac1043a07a0095c3ee90d6070b70b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the bottom of the widget. <br /></td></tr>
<tr class="separator:adbaac1043a07a0095c3ee90d6070b70b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeb273b813170e72c6999a38b6ed727a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeeb273b813170e72c6999a38b6ed727a"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#aeeb273b813170e72c6999a38b6ed727a">bindPosition</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:aeeb273b813170e72c6999a38b6ed727a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the position of the widget. <br /></td></tr>
<tr class="separator:aeeb273b813170e72c6999a38b6ed727a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a980dd88c8757152349370c5dee94ee61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a980dd88c8757152349370c5dee94ee61"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a980dd88c8757152349370c5dee94ee61">bindSize</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt; widget)</td></tr>
<tr class="memdesc:a980dd88c8757152349370c5dee94ee61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the size of the widget. <br /></td></tr>
<tr class="separator:a980dd88c8757152349370c5dee94ee61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e86a5b8d5edf2070752414ffb8cb9c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e86a5b8d5edf2070752414ffb8cb9c5"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a9e86a5b8d5edf2070752414ffb8cb9c5">bindLeft</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:a9e86a5b8d5edf2070752414ffb8cb9c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the x position of the gui view. <br /></td></tr>
<tr class="separator:a9e86a5b8d5edf2070752414ffb8cb9c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a63bccfcb366ec0869b269b5c6b9fa8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a63bccfcb366ec0869b269b5c6b9fa8"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a0a63bccfcb366ec0869b269b5c6b9fa8">bindTop</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:a0a63bccfcb366ec0869b269b5c6b9fa8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the y position of the gui view. <br /></td></tr>
<tr class="separator:a0a63bccfcb366ec0869b269b5c6b9fa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96d0d7d12ce0cc2a757cfe16533ac9f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96d0d7d12ce0cc2a757cfe16533ac9f5"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a96d0d7d12ce0cc2a757cfe16533ac9f5">bindWidth</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:a96d0d7d12ce0cc2a757cfe16533ac9f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the width of the gui view. <br /></td></tr>
<tr class="separator:a96d0d7d12ce0cc2a757cfe16533ac9f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae99ceed5d4e86144563c3d176fcef0b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae99ceed5d4e86144563c3d176fcef0b0"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#ae99ceed5d4e86144563c3d176fcef0b0">bindHeight</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:ae99ceed5d4e86144563c3d176fcef0b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the height of the gui view. <br /></td></tr>
<tr class="separator:ae99ceed5d4e86144563c3d176fcef0b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf18a08f125693c6ac62337325af8402"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf18a08f125693c6ac62337325af8402"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#acf18a08f125693c6ac62337325af8402">bindRight</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:acf18a08f125693c6ac62337325af8402"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the right position of the gui view. <br /></td></tr>
<tr class="separator:acf18a08f125693c6ac62337325af8402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6038f8f6913bb728737233edb2978884"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6038f8f6913bb728737233edb2978884"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a6038f8f6913bb728737233edb2978884">bindBottom</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:a6038f8f6913bb728737233edb2978884"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the bottom position of the gui view. <br /></td></tr>
<tr class="separator:a6038f8f6913bb728737233edb2978884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f8d0ce6ff5ebe78e4a047654bd00d96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f8d0ce6ff5ebe78e4a047654bd00d96"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a5f8d0ce6ff5ebe78e4a047654bd00d96">bindPosition</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:a5f8d0ce6ff5ebe78e4a047654bd00d96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the position of the gui view. <br /></td></tr>
<tr class="separator:a5f8d0ce6ff5ebe78e4a047654bd00d96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18b6b24e1e90b6dbdc576d25be87dff3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18b6b24e1e90b6dbdc576d25be87dff3"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a18b6b24e1e90b6dbdc576d25be87dff3">bindSize</a> (<a class="el" href="classtgui_1_1Gui.html">Gui</a> &amp;gui)</td></tr>
<tr class="memdesc:a18b6b24e1e90b6dbdc576d25be87dff3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the size of the gui view. <br /></td></tr>
<tr class="separator:a18b6b24e1e90b6dbdc576d25be87dff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7f577024c76243c959fbce9c4610136"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7f577024c76243c959fbce9c4610136"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#ac7f577024c76243c959fbce9c4610136">bindMin</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> value1, <a class="el" href="classtgui_1_1Layout.html">Layout</a> value2)</td></tr>
<tr class="memdesc:ac7f577024c76243c959fbce9c4610136"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the minimum of two values. <br /></td></tr>
<tr class="separator:ac7f577024c76243c959fbce9c4610136"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60c0a0c8861dfa50f18be6dd5446d643"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60c0a0c8861dfa50f18be6dd5446d643"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a60c0a0c8861dfa50f18be6dd5446d643">bindMax</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> value1, <a class="el" href="classtgui_1_1Layout.html">Layout</a> value2)</td></tr>
<tr class="memdesc:a60c0a0c8861dfa50f18be6dd5446d643"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to the maximum of two values. <br /></td></tr>
<tr class="separator:a60c0a0c8861dfa50f18be6dd5446d643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb9b73ff06b2fb66f2fb5550c64b5c6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb9b73ff06b2fb66f2fb5550c64b5c6f"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#abb9b73ff06b2fb66f2fb5550c64b5c6f">bindRange</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> minimum, <a class="el" href="classtgui_1_1Layout.html">Layout</a> maximum, <a class="el" href="classtgui_1_1Layout.html">Layout</a> value)</td></tr>
<tr class="memdesc:abb9b73ff06b2fb66f2fb5550c64b5c6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind to a value that remains between the minimum and maximum. <br /></td></tr>
<tr class="separator:abb9b73ff06b2fb66f2fb5550c64b5c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7354263149700e8f0deb653c40853f89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7354263149700e8f0deb653c40853f89"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a7354263149700e8f0deb653c40853f89">bindIf</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> condition, <a class="el" href="classtgui_1_1Layout.html">Layout</a> trueExpr, <a class="el" href="classtgui_1_1Layout.html">Layout</a> falseExpr)</td></tr>
<tr class="memdesc:a7354263149700e8f0deb653c40853f89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind conditionally to one of the two layouts. <br /></td></tr>
<tr class="separator:a7354263149700e8f0deb653c40853f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52dc8bc2108139620e3f62f2c4159523"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52dc8bc2108139620e3f62f2c4159523"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a52dc8bc2108139620e3f62f2c4159523">bindIf</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> condition, <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> trueExpr, <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> falseExpr)</td></tr>
<tr class="memdesc:a52dc8bc2108139620e3f62f2c4159523"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind conditionally to one of the two layouts. <br /></td></tr>
<tr class="separator:a52dc8bc2108139620e3f62f2c4159523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f0fa1db51b03ef38398ac9124b93365"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f0fa1db51b03ef38398ac9124b93365"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a9f0fa1db51b03ef38398ac9124b93365">bindStr</a> (const std::string &amp;expression)</td></tr>
<tr class="memdesc:a9f0fa1db51b03ef38398ac9124b93365"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a string for a layout (you can also just create the layout directly with the string) <br /></td></tr>
<tr class="separator:a9f0fa1db51b03ef38398ac9124b93365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18114b9f60bcbd86bef7755208f29956"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18114b9f60bcbd86bef7755208f29956"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a18114b9f60bcbd86bef7755208f29956">bindStr</a> (const char *expression)</td></tr>
<tr class="memdesc:a18114b9f60bcbd86bef7755208f29956"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a string for a layout (you can also just create the layout directly with the string) <br /></td></tr>
<tr class="separator:a18114b9f60bcbd86bef7755208f29956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6733d3b6d3aa6328a0c47ab0b17b36e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6733d3b6d3aa6328a0c47ab0b17b36e2"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a6733d3b6d3aa6328a0c47ab0b17b36e2">bindStr2d</a> (const std::string &amp;expression)</td></tr>
<tr class="memdesc:a6733d3b6d3aa6328a0c47ab0b17b36e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a string for a layout (you can also just create the layout directly with the string) <br /></td></tr>
<tr class="separator:a6733d3b6d3aa6328a0c47ab0b17b36e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80788f31a30a310186a554403b59a1a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80788f31a30a310186a554403b59a1a1"></a>
TGUI_API <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetgui.html#a80788f31a30a310186a554403b59a1a1">bindStr2d</a> (const char *expression)</td></tr>
<tr class="memdesc:a80788f31a30a310186a554403b59a1a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a string for a layout (you can also just create the layout directly with the string) <br /></td></tr>
<tr class="separator:a80788f31a30a310186a554403b59a1a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Namespace that contains all TGUI functions and classes. </p>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437da"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">tgui::ShowAnimationType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Type of animation to show/hide widget. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daa04e0385c10aefee8e4681617d2f3ef40"></a>Fade&#160;</td><td class="fielddoc">
<p>Fade widget in or out. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daa85a7cd587d6142dbfc1a4de05af7b75d"></a>Scale&#160;</td><td class="fielddoc">
<p>Shrink to the center of the widget to hide or grow from its center to show. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daa32adbe5629238fc4f536d19aa387edde"></a>SlideToRight&#160;</td><td class="fielddoc">
<p>Slide to the right to hide or from left to show. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daa2fb2461981483dbe3d8cea762e4f6b4e"></a>SlideToLeft&#160;</td><td class="fielddoc">
<p>Slide to the left to hide or from right to show. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daaafd419511c5120bdc1ac7e54b4e81096"></a>SlideToBottom&#160;</td><td class="fielddoc">
<p>Slide to the bottom to hide or from top to show. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daae646468517e881c8fba1b43c3439e9c4"></a>SlideToTop&#160;</td><td class="fielddoc">
<p>Slide to the top to hide or from bottom to show. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daa7eceaa1479b5b4cdea7c6d1cce219f77"></a>SlideFromLeft&#160;</td><td class="fielddoc">
<p>Slide from left to show or to the right to hide. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daaf744d5bd565fba1a73e8d920271ff752"></a>SlideFromRight&#160;</td><td class="fielddoc">
<p>Slide from right to show or to the left to hide. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daad0c0f4c9fa33f30a64ebc4b5513f0723"></a>SlideFromTop&#160;</td><td class="fielddoc">
<p>Slide from top to show or to the bottom to hide. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae5f90d6756ae21ba5dd08f84138437daa1798106aa3a86db45ce376cbe5de5875"></a>SlideFromBottom&#160;</td><td class="fielddoc">
<p>Slide from bottom to show or to the top to hide. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a2efca1c075fdbd9f7fb9270a798ae664"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TGUI_API const std::string&amp; tgui::getResourcePath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the resource path. </p>
<p>This pathname is placed in front of every filename that is used to load a resource.</p>
<dl class="section return"><dt>Returns</dt><dd>The current resource path </dd></dl>

</div>
</div>
<a class="anchor" id="a2ff0bfc29ca323f7de787b4acce869b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TGUI_API void tgui::setResourcePath </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a new resource path. </p>
<p>This pathname is placed in front of every filename that is used to load a resource.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>New resource path </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
